%define plymouthdaemon_execdir /sbin
%define plymouthclient_execdir /bin
%define plymouth_libdir /%{_lib}

%define _libexecdir %{_prefix}/libexec

%define lib_major 2
%define lib_name %mklibname %{name} %{lib_major}
%define lib_name_devel %mklibname %{name} -d

%bcond_with uclibc

Summary: Graphical Boot Animation and Logger
Name: plymouth
Version: 0.8.6.1
Release: %mkrel 8
License: GPLv2+
Group: System/Boot and Init
Source0: http://freedesktop.org/software/plymouth/releases/%{name}-%{version}.tar.bz2
Source1: boot-duration
Source2: charge.plymouth
# PATCH-OPENSUSE -- Restore suspend / resume state (needed for suspend package)
Patch5:         plymouth-restore-suspend.patch
# (cg) Patches from suse submitted upstream
Patch500: 0500-plymouth-reboot.service.in-reboot.service-systemd-re.patch
Patch502: 0501-Update-systemd-units-service-names.patch

URL: http://freedesktop.org/software/plymouth/releases

Requires(pre):  filesystem >= 2.1.9-18
Requires(post): plymouth-scripts = %{version}-%{release}
Requires: initscripts >= 8.83
BuildRequires: gtk2-devel
BuildRequires: libdrm-devel
%if %{with uclibc}
BuildRequires: uClibc-devel
BuildRequires: libpng-static-devel
%endif
Obsoletes: splashy
Provides: splashy
Conflicts: systemd-units < 186

%description
Plymouth provides an attractive graphical boot animation in
place of the text messages that normally get shown.  Text
messages are instead redirected to a log file for viewing
after boot.

%package system-theme
Group: System/Boot and Init
Summary: Plymouth default theme
Requires: plymouth(system-theme)
Requires: plymouth = %{version}-%{release}

%description system-theme
This metapackage tracks the current distribution default theme.

%package -n %{lib_name}
Summary: Plymouth libraries
Group: System/Libraries
Obsoletes: %{mklibname %{name} 0} < 0.8.0

%description -n %{lib_name}
This package contains the libply and libplybootsplash libraries
used by Plymouth.

%package -n %{lib_name_devel}
Summary: Libraries and headers for writing Plymouth splash plugins
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}

%description -n %{lib_name_devel}
This package contains the libply and libplybootsplash libraries
and headers needed to develop 3rd party splash plugins for Plymouth.

%package utils
Group: System/Boot and Init
Summary: Plymouth related utilities
Requires: %{name} = %{version}-%{release}

%description utils
This package contains utilities that integrate with Plymouth
including a boot log viewing application.

%package scripts
Group: System/Boot and Init
Summary: Plymouth related scripts
Requires: mkinitrd >= 6.0.92-6mdv
Requires: plymouth = %{version}-%{release}

%description scripts
This package contains scripts that help integrate Plymouth with
the system.

%package plugin-label
Group: System/Boot and Init
Summary: Plymouth label plugin
Requires: %{lib_name} = %{version}-%{release}

%description plugin-label
This package contains the label control plugin for
Plymouth. It provides the ability to render text on
graphical boot splashes using pango and cairo.

%package plugin-fade-throbber
Group: System/Boot and Init
Summary: Plymouth "Fade-Throbber" plugin
Requires: %{lib_name} = %{version}-%{release}

%description plugin-fade-throbber
This package contains the "Fade-In" boot splash plugin for
Plymouth. It features a centered image that fades in and out
while other images pulsate around during system boot up.

%package plugin-script
Group: System/Boot and Init
Summary: Plymouth "Script" plugin
Requires: %{lib_name} = %{version}-%{release}
Requires: plymouth-plugin-label = %{version}-%{release}

%description plugin-script
This package contains the "Script" plugin for Plymouth.

%package theme-script
Group: System/Boot and Init
Summary: Plymouth "Script" theme
Requires: %{name}-plugin-script = %{version}-%{release}
Requires(post): plymouth-scripts = %{version}-%{release}

%description theme-script
This package contains the "Script" boot splash theme for
Plymouth.

%package theme-fade-in
Group: System/Boot and Init
Summary: Plymouth "Fade-In" theme
Requires: %{name}-plugin-fade-throbber = %{version}-%{release}
Requires(post): plymouth-scripts = %{version}-%{release}

%description theme-fade-in
This package contains the "Fade-In" boot splash theme for
Plymouth. It features a centered logo that fades in and out
while stars twinkle around the logo during system boot up.

%package plugin-throbgress
Group: System/Boot and Init
Summary: Plymouth "Throbgress" plugin
Requires: %{lib_name} = %{version}-%{release}
Requires: plymouth-plugin-label = %{version}-%{release}

%description plugin-throbgress
This package contains the "throbgress" boot splash plugin for
Plymouth. It features a centered logo and animated spinner that
spins repeatedly while a progress bar advances at the bottom of
the screen.

%package theme-spinfinity
Group: System/Boot and Init
Summary: Plymouth "Spinfinity" theme
Requires: %{name}-plugin-throbgress = %{version}-%{release}
Requires(post): plymouth-scripts = %{version}-%{release}

%description theme-spinfinity
This package contains the "Spinfinity" boot splash theme for
Plymouth. It features a centered logo and animated spinner that
spins in the shape of an infinity sign.

%package theme-spinner
Group: System/Boot and Init
Summary: Plymouth "Spinner" theme
Requires: %{name}-plugin-two-step = %{version}-%{release}
Requires(post): plymouth-scripts = %{version}-%{release}

%description theme-spinner
This package contains the "Spinner" boot splash theme for
Plymouth.

%package plugin-space-flares
Group: System/Boot and Init
Summary: Plymouth "space-flares" plugin
Requires: %{lib_name} = %{version}-%{release}
Requires: plymouth-plugin-label = %{version}-%{release}

%description plugin-space-flares
This package contains the "space-flares" boot splash plugin for
Plymouth. It features a corner image with animated flares.

%package theme-solar
Group: System/Boot and Init
Summary: Plymouth "Solar" theme
Requires: %{name}-plugin-space-flares = %{version}-%{release}
Requires(post): plymouth-scripts = %{version}-%{release}

%description theme-solar
This package contains the "Solar" boot splash theme for
Plymouth. It features a blue flamed sun with animated solar flares.

%package plugin-two-step
Group: System/Boot and Init
Summary: Plymouth "two-step" plugin
Requires: %{lib_name} = %{version}-%{release}
Requires: plymouth-plugin-label = %{version}-%{release}

%description plugin-two-step
This package contains the "two-step" boot splash plugin for
Plymouth. It features a two phased boot process that starts with
a progressing animation synced to boot time and finishes with a
short, fast one-shot animation.

%package theme-charge
Group: System/Boot and Init
Summary: Plymouth "Charge" plugin
Requires: %{name}-plugin-two-step = %{version}-%{release}
Requires(post): plymouth-scripts = %{version}-%{release}

%description theme-charge
This package contains the "charge" boot splash theme for
Plymouth. It features the shadowy hull of a logo charge up and
and finally burst into full form.

%package theme-glow
Group: System/Boot and Init
Summary: Plymouth "Glow" plugin
Requires(post): plymouth-scripts  = %{version}-%{release}
Requires: plymouth-plugin-two-step = %{version}-%{release}

%description theme-glow
This package contains the "Glow" boot splash theme for Plymouth.

%prep
%setup -q
%apply_patches
%if %{with uclibc}
autoreconf --install --symlink
%endif


%build
export CONFIGURE_TOP=`pwd`
%if %{with uclibc}
mkdir -p uclibc
cd uclibc
%configure2_5x CC="%{uclibc_cc}" \
	CFLAGS="%{uclibc_cflags}" \
	LDFLAGS="%{ldflags} -lz" \
	--prefix=%{uclibc_root}%{_prefix} \
	--libdir="%{uclibc_root}%{_libdir}" \
	--bindir="%{uclibc_root}%{plymouthclient_execdir}" \
	--sbindir="%{uclibc_root}%{plymouthdaemon_execdir}" \
	--enable-tracing \
	--disable-tests \
	--with-logo=%{_datadir}/icons/large/%{_real_vendor}.png	\
	--with-background-start-color-stop=0x0073B3 \
	--with-background-end-color-stop=0x00457E \
	--with-background-color=0x3391CD \
        --with-log-viewer \
	--disable-gdm-transition \
	--enable-systemd-integration \
	--without-gdm-autostart-file \
	--without-rhgb-compat-link \
	--with-system-root-install \
	--with-release-file=/etc/mageia-release
# We don't build these for uclibc since they link against a lot of libraries
# that we don't provide any uclibc linked version of
sed -e 's#viewer##g' -i src/Makefile
sed -e 's#label##g' -i src/plugins/controls/Makefile
%make
cd ..
%endif

mkdir -p system
cd system
%configure2_5x \
	--enable-tracing \
	--disable-tests \
	--with-logo=%{_datadir}/icons/large/%{_real_vendor}.png \
	--with-background-start-color-stop=0x0073B3 \
	--with-background-end-color-stop=0x00457E \
	--with-background-color=0x3391CD \
	--disable-gdm-transition \
        --with-log-viewer \
        --without-gdm-autostart-file \
	--enable-systemd-integration \
	--without-rhgb-compat-link \
	--with-system-root-install \
	--with-release-file=/etc/mageia-release

%make
cd ..

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/lib/systemd/system/{sysinit,poweroff,halt,kexec,reboot,multi-user}.target.wants
ln -s ../plymouth-start.service $RPM_BUILD_ROOT/lib/systemd/system/sysinit.target.wants/
ln -s ../plymouth-read-write.service $RPM_BUILD_ROOT/lib/systemd/system/sysinit.target.wants/
ln -s ../plymouth-poweroff.service $RPM_BUILD_ROOT/lib/systemd/system/poweroff.target.wants/
ln -s ../plymouth-halt.service $RPM_BUILD_ROOT/lib/systemd/system/halt.target.wants/
ln -s ../plymouth-kexec.service $RPM_BUILD_ROOT/lib/systemd/system/kexec.target.wants/
ln -s ../plymouth-reboot.service $RPM_BUILD_ROOT/lib/systemd/system/reboot.target.wants/
ln -s ../plymouth-quit.service $RPM_BUILD_ROOT/lib/systemd/system/multi-user.target.wants/
ln -s ../plymouth-quit-wait.service $RPM_BUILD_ROOT/lib/systemd/system/multi-user.target.wants/

%if %{with uclibc}
%makeinstall_std -C uclibc plymouthdaemondir=%{uclibc_root}%{plymouthdaemon_execdir} plymouthclientdir=%{uclibc_root}%{plymouthclient_execdir}
rm -rf %{buildroot}%{uclibc_root}{%{_includedir},%{_datadir},%{_libdir}/pkgconfig,%{_libexecdir},%{plymouthdaemon_execdir}/plymouth-set-default-theme}
%endif
%makeinstall_std -C system

find $RPM_BUILD_ROOT -name \*.a -delete -o -name \*.la -delete

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT/sbin/plymouthd $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT/bin/plymouth $RPM_BUILD_ROOT%{_bindir}
touch $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/default.plymouth

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/plymouth
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/plymouth/default-boot-duration
touch $RPM_BUILD_ROOT%{_localstatedir}/lib/plymouth/{boot,shutdown}-duration

# Add charge
mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge
cp $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/glow/{box,bullet,entry,lock}.png $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -f %{_localstatedir}/lib/plymouth/boot-duration ] || cp -f %{_datadir}/plymouth/default-boot-duration %{_localstatedir}/lib/plymouth/boot-duration
if [ "x$DURING_INSTALL" = "x" ]; then
  if [ $1 -eq 1 ]; then
   %{_prefix}/libexec/plymouth/plymouth-update-initrd
  fi
fi


%postun
if [ $1 -eq 0 ]; then
    rm -f %{_libdir}/plymouth/default.so
fi

%define theme_scripts() \
%post -n %{name}-theme-%{1} \
if [ -x %{_sbindir}/plymouth-set-default-theme ]; then \
  export LIB=%{_lib} \
  if [ $1 -eq 1 ]; then \
      %{_sbindir}/plymouth-set-default-theme --rebuild-initrd %{1} \
  else \
      THEME=$(%{_sbindir}/plymouth-set-default-theme) \
      if [ "$THEME" == "text" -o "$THEME" == "%{1}" ]; then \
          %{_sbindir}/plymouth-set-default-theme --rebuild-initrd %{1} \
      fi \
  fi \
fi \
\
%postun -n %{name}-theme-%{1} \
export LIB=%{_lib} \
if [ $1 -eq 0 -a -x %{_sbindir}/plymouth-set-default-theme ]; then \
    if [ "$(%{_sbindir}/plymouth-set-default-theme)" == "%{1}" ]; then \
        %{_sbindir}/plymouth-set-default-theme --reset --rebuild-initrd \
    fi \
fi \


%theme_scripts spinfinity
%theme_scripts fade-in
%theme_scripts solar
%theme_scripts charge
%theme_scripts glow
%theme_scripts script


%files
%defattr(-, root, root)
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/plymouth
%dir %{_datadir}/plymouth
%dir %{_datadir}/plymouth/themes
%{_datadir}/plymouth/default-boot-duration
%dir %{_localstatedir}/lib/plymouth
%{_sbindir}/plymouthd
%{_bindir}/plymouth
/lib/systemd/system/plymouth-*.service
/lib/systemd/system/systemd-ask-password-plymouth.path
/lib/systemd/system/systemd-ask-password-plymouth.service
/lib/systemd/system/*.wants/plymouth-*.service
%{_libdir}/plymouth/details.so
%{_libdir}/plymouth/text.so
%dir %{_libdir}/plymouth/renderers
%{_libdir}/plymouth/renderers/drm*
%{_libdir}/plymouth/renderers/frame-buffer*
%ghost %{_datadir}/plymouth/themes/default.plymouth
%{_datadir}/plymouth/plymouthd.defaults
%{_datadir}/plymouth/themes/details
%{_datadir}/plymouth/themes/text
%{_localstatedir}/spool/plymouth
%ghost %{_localstatedir}/lib/plymouth/shutdown-duration
%ghost %{_localstatedir}/lib/plymouth/boot-duration
%{_mandir}/man8/*
%if %{with uclibc}
%{uclibc_root}%{plymouthdaemon_execdir}/plymouthd
%{uclibc_root}%{plymouthclient_execdir}/plymouth
%{uclibc_root}%{_libdir}/plymouth/details.so
%{uclibc_root}%{_libdir}/plymouth/text.so
%endif

%files -n %{lib_name_devel}
%defattr(-, root, root)
%{plymouth_libdir}/libply.so
%{_libdir}/libply-boot-client.so
%{_libdir}/libply-splash-graphics.so
%{_libdir}/plymouth/renderers/x11*
/%{_lib}/libply-splash-core.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/plymouth-1

%files -n %{lib_name}
%defattr(-, root, root)
%{plymouth_libdir}/libply.so.%{lib_major}*
%{_libdir}/libply-boot-client.so.%{lib_major}*
%{_libdir}/libply-splash-graphics.so.%{lib_major}*
/%{_lib}/libply-splash-core.so.%{lib_major}*
%dir %{_libdir}/plymouth
%if %{with uclibc}
%dir %{uclibc_root}%{_libdir}/plymouth
%{uclibc_root}%{plymouth_libdir}/libply.so*
%{uclibc_root}%{_libdir}/libply-boot-client.so*
%{uclibc_root}%{_libdir}/libply-splash-graphics.so*
%endif

%files scripts
%defattr(-, root, root)
%{_sbindir}/plymouth-set-default-theme
%{_libexecdir}/plymouth

%files utils
%defattr(-, root, root)
%{_bindir}/plymouth-log-viewer

%files plugin-label
%defattr(-, root, root)
%{_libdir}/plymouth/label.so

%files plugin-fade-throbber
%defattr(-, root, root)
%{_libdir}/plymouth/fade-throbber.so
%if %{with uclibc}
%{uclibc_root}%{_libdir}/plymouth/fade-throbber.so
%endif

%files theme-fade-in
%defattr(-, root, root)
%{_datadir}/plymouth/themes/fade-in

%files plugin-throbgress
%defattr(-, root, root)
%{_libdir}/plymouth/throbgress.so
%if %{with uclibc}
%{uclibc_root}%{_libdir}/plymouth/throbgress.so
%endif

%files plugin-script
%defattr(-, root, root)
%{_libdir}/plymouth/script.so
%if %{with uclibc}
%{uclibc_root}%{_libdir}/plymouth/script.so
%endif

%files theme-script
%defattr(-, root, root)
%{_datadir}/plymouth/themes/script

%files theme-spinfinity
%defattr(-, root, root)
%{_datadir}/plymouth/themes/spinfinity

%files theme-spinner
%defattr(-, root, root)
%{_datadir}/plymouth/themes/spinner

%files plugin-space-flares
%defattr(-, root, root)
%{_libdir}/plymouth/space-flares.so
%if %{with uclibc}
%{uclibc_root}%{_libdir}/plymouth/space-flares.so
%endif

%files theme-solar
%defattr(-, root, root)
%{_datadir}/plymouth/themes/solar

%files plugin-two-step
%defattr(-, root, root)
%{_libdir}/plymouth/two-step.so
%if %{with uclibc}
%{uclibc_root}%{_libdir}/plymouth/two-step.so
%endif

%files theme-charge
%defattr(-, root, root)
%{_datadir}/plymouth/themes/charge

%files theme-glow
%defattr(-, root, root)
%{_datadir}/plymouth/themes/glow

%files system-theme
%defattr(-, root, root)




%changelog

* Wed Apr 24 2013 colin <colin> 0.8.6.1-8.mga3
+ Revision: 411065
- Refer to systemd units by their current name.

* Mon Jan 21 2013 barjac <barjac> 0.8.6.1-7.mga3
+ Revision: 390354
- update group
- remove one duplicate group tag

* Mon Jan 14 2013 colin <colin> 0.8.6.1-6.mga3
+ Revision: 385828
- Do not ship /var/run/plymouth. Code creates it when needed

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 tv <tv> 0.8.6.1-4.mga3
+ Revision: 333659
- drop requires on desktop-common-data (mga#8455)

* Wed Sep 26 2012 blino <blino> 0.8.6.1-3.mga3
+ Revision: 298508
- add back suspend/resume states for suspend-utils (from Frederic Crozat, openSUSE)

* Sat Jul 21 2012 colin <colin> 0.8.6.1-2.mga3
+ Revision: 273158
- Update for usrmove

* Mon Jul 16 2012 colin <colin> 0.8.6.1-1.mga3
+ Revision: 271302
- New version: 0.8.6.1

* Sat Jul 07 2012 colin <colin> 0.8.5.1-1.mga3
+ Revision: 268663
- New version: 0.8.5.1
- Drop upstream patches
- Drop unneeded patches
- Add patches from git master
- Conflict with older systemd-units (as plymouth .service files have moved here)

* Mon Dec 19 2011 anssi <anssi> 0.8.4-0.20111214.3.mga2
+ Revision: 184123
- rediff move-mkinitrd-functions-under-root-lib.patch
- do not fail to populate initrd with dracut >= 014 when legacy mkinitrd
  is not installed (reported by Olivier Blin and Thomas Backlund,
  dracut-functions-path.patch)

* Thu Dec 15 2011 colin <colin> 0.8.4-0.20111214.1.mga2
+ Revision: 182097
- Update to new plymouth git snapshot
- Drop tty-lock patch (upstream)
- Drop retain-vt patch (not needed + buggy - value could only be true || uninitialised)
- Drop details-not-available patch (upstream)
- Drop ttyp-OPOST-ONLCR patch (upstream)
- Drop smarter_init_detection patch (upstream)
- Drop change_socket_path patch (upstream da723a30..3ec007a4)
- Drop change_socket_path-fix patch (upstream)
- Drop initrd-absolute-path patch (upstream)
- Drop boot-server-don-t-print-error-when-client-goes-away patch (upstream)
- Drop redirect-dev-null patch (upstream)
- Drop libpng14 patch (upstream)
- Only apply ulibc patches when building with ulibc
- Enable systemd integration
- Drop the use of tty7 and use tty1 like Fedora (mga#3430)

* Sat Sep 10 2011 fwang <fwang> 0.8.3-13.mga2
+ Revision: 142226
- fix file list
- fix build with latest png
- rebuild for  new libpng

* Thu Mar 24 2011 boklm <boklm> 0.8.3-12.mga1
+ Revision: 76199
- rebuild for bug #497

* Mon Mar 21 2011 blino <blino> 0.8.3-11.mga1
+ Revision: 75299
- do not write in /null from plymouth-set-default-theme

* Tue Feb 08 2011 dmorgan <dmorgan> 0.8.3-10.mga1
+ Revision: 49216
- Fix patch in %%post

* Tue Feb 08 2011 dmorgan <dmorgan> 0.8.3-9.mga1
+ Revision: 48988
- Fix buildrequire
  Use mageia icon
- Use /etc/release
- imported package plymouth


* Sun Jan 30 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3-9mdv2011.0
+ Revision: 634146
- P12: silence "could not write bytes" (GIT)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - check new path for /lib/mkinitrd/functions
    - regenerate and reenable uclibc related patches that doesn't affect non-uclibc
      build at all

* Thu Nov 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3-7mdv2011.0
+ Revision: 598802
- patch6: fix compatibility between old and new socket names

* Wed Nov 17 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3-6mdv2011.0
+ Revision: 598311
- patch4: allow splash with init= as well (GIT)
  patch5: changed socket path (GIT)

* Wed Oct 06 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3-5mdv2011.0
+ Revision: 583884
- patch3: fix "stair stepping" effect using systemd (GIT 0430e512 rediff)

* Wed May 26 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-4mdv2010.1
+ Revision: 546233
- Patch2: do not exit if details plugin isn't available

* Tue May 25 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-3mdv2010.1
+ Revision: 545983
- Patch1: do not switch VT when hiding splash (Mdv bug #59375)

* Wed May 19 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-2mdv2010.1
+ Revision: 545396
- Patch0 (GIT): fix tty staying locked after boot

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-1mdv2010.1
+ Revision: 543104
- Release 0.8.3
- Remove patches 0, 1, 2, 3, 4, 5 (merged upstream)

* Thu May 06 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.2-6mdv2010.1
+ Revision: 542925
- Patch3 (GIT): add more debug
- Patch4 (GIT): wait for VT switch before quit
- Patch5 (GIT): ensure terminal is locked

* Tue Apr 27 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.2-5mdv2010.1
+ Revision: 539798
- Force rebuild

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.8.2-4mdv2010.1
+ Revision: 539592
- rebuild so that shared libraries are properly stripped again

* Wed Apr 21 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.2-3mdv2010.1
+ Revision: 537649
- Patch2 (GIT): export configuration directories

* Tue Apr 20 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.2-2mdv2010.1
+ Revision: 537082
- Patch1 (GIT): fix text alpha by default

* Wed Apr 14 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.2-1mdv2010.1
+ Revision: 534762
- Update Buildrequirements
- Release 0.8.2
- Remove patches 2, 3, 4, 5, 6 (merged upstream)
- Patch0 (GIT): fix build with latest libdrm

* Thu Mar 18 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-9mdv2010.1
+ Revision: 524920
- fix deps

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add libpng-static-devel to buildrequires for uClibc as it links against a
      static uClibc build of libpng that doesn't get pulled in by other deps

* Mon Mar 01 2010 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-8mdv2010.1
+ Revision: 512911
- Patch11: ensure shutdown tty is tty1 (Mdv bug #55077)
- Ensure plymouth is building by disable uclibc stuff

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - specify absolute path as install location for /bin/plymouth with initrd (P10)
    - build uclibc linked version
    - if linking against plymouth, we need to link against libdl as well (updates P8)
    - fix library link order for static linking (P8)
    - ditch non-sense dependency on plymouth for -devel package
    - fix header include order issue with uclibc (P7)

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-7mdv2010.0
+ Revision: 459991
- Patch5 (GIT): add on_quit support for script
- Patch6 (Charles Brej): optimize images resize / scale / rotation

* Wed Oct 28 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-6mdv2010.0
+ Revision: 459711
- Patch4 (GIT): add support for arrays

* Tue Oct 13 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-5mdv2010.0
+ Revision: 457160
- Patch3 (GIT): handle plymouth:force-splash and ensure init= value doesn't prevent plymouth to start at shutdown (fdo bug #22180)

* Thu Oct 08 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-4mdv2010.0
+ Revision: 456136
- Do not generate initrd during install

* Wed Oct 07 2009 Olivier Blin <oblin@mandriva.com> 0.7.2-3mdv2010.0
+ Revision: 455771
- do not require strict version/release for plymouth(system-theme)
  (external package can not provide the exact version/release)

* Wed Oct 07 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-2mdv2010.0
+ Revision: 455683
- Remove mdv theme, moved to mandriva-theme
- Obsoletes / Provides splashy

* Mon Sep 28 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-1mdv2010.0
+ Revision: 450588
- Release 0.7.2

* Thu Sep 10 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-0.20090910.1mdv2010.0
+ Revision: 437097
- New git snapshot (20090910)
- Remove patch3, merged and fixed correctly in git snapshot

* Thu Sep 10 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-0.20090904.3mdv2010.0
+ Revision: 436871
- Patch3: recognize s,S,-s as single on kernel cmdline

* Tue Sep 08 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-0.20090904.2mdv2010.0
+ Revision: 433139
- Add missing provides on devel package

* Fri Sep 04 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-0.20090904.1mdv2010.0
+ Revision: 431243
- Snapshot of 0.7.2 (include libification work for hibernate / resume)
- Update Mdv theme for hibernate

* Tue Sep 01 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.1-2mdv2010.0
+ Revision: 423697
- Patch3: disable splash when splash=verbose is on cmdline

* Wed Aug 26 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.1-1mdv2010.0
+ Revision: 421456
- Release 0.7.1
- Remove patches 0, 1, 3, 4 (merged upstream)
- Update mdv theme to correctly display / hide password and logo
- Improve / factorize post/postun scripts for themes
- Fix requires on glow subpackage (Mdv bug #53160)

* Tue Aug 25 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-7mdv2010.0
+ Revision: 421069
- Patch4: various git fixes, including infinite loop in message handling (Mdv bug #52861)
- Update patch2 to no longer crash on empty message
- Own more directory

* Wed Aug 19 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-6mdv2010.0
+ Revision: 418114
- Patch2 (Charlie Brej): text support in script plugin
- Patch3 (GIT): add callback for message event in script plugin
- Adapt mdv theme to display text message / password prompt
- Enforce dependencies

* Wed Aug 19 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-5mdv2010.0
+ Revision: 418005
- Remove patch2 and revert initrd scripts to be in /usr/libexec (as upstream)
- Fix post / postun scripts

* Wed Aug 19 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-4mdv2010.0
+ Revision: 417963
- Use mandriva.png from desktop-common-data now (Mdv bug #52973)

* Tue Aug 18 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-3mdv2010.0
+ Revision: 417842
- Add a initial Mdv theme, similar to splashy one (no text support yet)
- change default theme to Mdv
- Rebuild initrd when switching theme
- Patch1 (GIT): fix resizing code
- Patch2: allow alternative libexec path
- Update default duration file with a Mandriva file

* Mon Aug 17 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-2mdv2010.0
+ Revision: 417347
- Patch0 (GIT): reconnect on tty_disconnect

* Thu Aug 13 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-1mdv2010.0
+ Revision: 416079
- Release 0.7.0 final
- add script plugin/theme

* Thu Jul 02 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-0.20090515.1mdv2010.0
+ Revision: 391840
- Fix dependencies
- import plymouth


